### Method

# GUPnP Acl is_allowed_async

#### Declaration [src]

    void
    gupnp_acl_is_allowed_async (
      GUPnPAcl* self,
      _GUPnPDevice* device,
      _GUPnPService* service,
      const char* path,
      const char* address,
      const char* agent,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Check asynchronously whether an IP address is allowed to access this resource.

This function is optional. `gupnp_acl_can_sync()` should return `TRUE` if the implementing class supports it. If it is supported, GUPnP will prefer to use this function over `gupnp_acl_is_allowed()`.

Implement this function if the process of verifying the access right is expected to take some time, for example when using D-Bus etc.

Use `gupnp_acl_is_allowed_finish()` to retrieve the result.

Available since: | 0.20.11

#### Parameters

`device` | `_GUPnPDevice*`
| The `GUPnPDevice` associated with `path` or `NULL` if unknown.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`service` | `_GUPnPService*`
| The `GUPnPService` associated with `path` or `NULL` if unknown.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`path` | `const char*`
| The path being served.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`address` | `const char*`
| IP address of the peer.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`agent` | `const char*`
| The User-Agent header of the peer or `NULL` if not unknown.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`cancellable` | `GCancellable`
| A cancellable which can be used to cancel the operation.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| Callback to call after the function is done.
| The argument can be `NULL`.
`user_data` | `gpointer`
| Some user data.
| The argument can be `NULL`.
| The data is owned by the caller of the function.